Package com.arms.api.clientcase.service

## Interface ClientCaseService

- All Superinterfaces:
    `TreeService`
  All Known Implementing Classes:
    `ClientCaseServiceImpl`

      public interface ClientCaseService
      extends TreeService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ClientCaseEntity` | `addClientCase​(ClientCaseEntity clientCaseEntity)` |
    `ClientCaseEntity` | `getClientCase​(java.lang.Long clientCaseId)` |
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getPaginatedClientCaseList​(ClientCaseDTO clientCaseDTO, int pageIndex, int pageUnit)` |
    `ClientCaseEntity` | `removeClientCase​(java.lang.Long clientCaseId)` |
    `ClientCaseEntity` | `updateClientCase​(ClientCaseEntity clientCaseEntity)` |

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Method Detail

    - #### addClientCase

          ClientCaseEntity addClientCase​(ClientCaseEntity clientCaseEntity)
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getClientCase

          ClientCaseEntity getClientCase​(java.lang.Long clientCaseId)
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updateClientCase

          ClientCaseEntity updateClientCase​(ClientCaseEntity clientCaseEntity)
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### removeClientCase

          ClientCaseEntity removeClientCase​(java.lang.Long clientCaseId)
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getPaginatedClientCaseList

          java.util.Map<java.lang.String,​java.lang.Object> getPaginatedClientCaseList​(ClientCaseDTO clientCaseDTO,
                                                                                            int pageIndex,
                                                                                            int pageUnit)
                                                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`